From e8685fc8d2142c62937b6eb51bb1dc883be4b9cf Mon Sep 17 00:00:00 2001
From: Vignesh Babu <vigneshbabu@google.com>
Date: Wed, 31 Aug 2022 14:17:45 -0700
Subject: [PATCH] Print diffs made by iwyu (#30808)

---
 tools/dockerfile/grpc_iwyu/iwyu.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/tools/dockerfile/grpc_iwyu/iwyu.sh b/tools/dockerfile/grpc_iwyu/iwyu.sh
index 87b425a8c4b..cd1409de46d 100755
--- a/tools/dockerfile/grpc_iwyu/iwyu.sh
+++ b/tools/dockerfile/grpc_iwyu/iwyu.sh
@@ -13,7 +13,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-set -ex
+set -x
 
 cd ${IWYU_ROOT}
 
@@ -104,3 +104,9 @@ ${IWYU_ROOT}/iwyu/fix_includes.py \
   --nosafe_headers                \
   --ignore_re='^(include/.*|src/core/lib/security/credentials/tls/grpc_tls_credentials_options\.h)' \
   < iwyu.out
+
+if [ $? -ne 0 ] 
+then
+    echo "Iwyu edited some files. Here is the diff of files edited by iwyu:"
+    git --no-pager diff
+fi